#
# spec file for package radeontop
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           radeontop
Version:        0.9+git.20161028
Release:        9.1
Summary:        View Radeon GPU utilization
License:        GPL-3.0
Group:          System/Monitoring
Url:            https://github.com/clbr/radeontop
Source:         %{name}-%{version}.tar.xz
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-dri2)
Recommends:     %{name}-lang = %{version}

%description
View Radeon GPU utilization, both for the total activity percent and individual
blocks.
Supported cards R600 and up, even Southern Islands should work fine. Works with
both the open drivers and AMD Catalyst.
The total GPU utilization is also valid for OpenCL loads; the other blocks are
only useful in GL loads.

%lang_package

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} amdgpu=1

%install
%make_install LIBDIR=%{_lib}
%find_lang %{name}

%files
%defattr(-,root,root,-)
%doc COPYING README.md
%{_sbindir}/radeontop
%{_libdir}/libradeontop_xcb.so
%{_mandir}/man1/radeontop.1%{ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Thu Nov 24 2016 mpluskal@suse.com
- Update to version 0.9+git.20161028:
  * Add optional unprivileged mode in Xorg
  * Fix auto-detection of radeon device
  * Add a LIBDIR indirection for some x86_64 systems
  * Add support for Polaris 11 and Polaris 10
  * Add support for VRAM size and usage reporting on amdgpu
  * Print "amdgpu not enabled" warning just once
  * Add support for resizeable terminals
  * Fix artifact on mrxvt
  * ui: factor out screen size calculation
  * Silence gcc's "may be uninitialized" warning
* Sun Jul 10 2016 mpluskal@suse.com
- Change dependecies to allow building for SLE-12
* Wed Sep 30 2015 mpluskal@suse.com
- Also install COPYING
* Mon Sep 21 2015 mpluskal@suse.com
- Initial package based on home:Ledest:misc/radeontop
